Bug 400891 - PackageKit update progress display broken on stable branch and git master
Summary: PackageKit update progress display broken on stable branch and git master
Status: RESOLVED FIXED
Alias: None
Product: Discover
Classification: Unclassified
Component: Updates (interactive) (show other bugs)
Version: 5.14.2
Platform: Other Linux
: NOR normal
Target Milestone: ---
Assignee: Aleix Pol
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-11-09 22:00 UTC by Nate Graham
Modified: 2018-11-13 15:11 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.14.4


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nate Graham 2018-11-09 22:00:18 UTC
In both git master on Neon and 5.14.3 on Manjaro, I can reproduce the same issue: when updating PackageKit packages, The global progress bar stays at 0% until completion. If you click on the progress display entry, it shows a progress bar with the text "Waiting - 0%" for the entire duration fo the update operation. Individual packages' progress bars intermittently fill up, but it's not reliable the way it used to be.
Comment 1 Aleix Pol 2018-11-13 15:11:11 UTC
Git commit 119c3ffcba622cbc136ec0adcea8b7518379aed2 by Aleix Pol.
Committed on 13/11/2018 at 15:08.
Pushed by apol into branch 'Plasma/5.14'.

Fix global progress display for updates

M  +1    -1    libdiscover/resources/ResourcesUpdatesModel.cpp

https://commits.kde.org/discover/119c3ffcba622cbc136ec0adcea8b7518379aed2